<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: ICPPKernel Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classarm__compute_1_1_i_c_p_p_kernel.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">ICPPKernel Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p>Common interface for all kernels implemented in C++.  
 <a href="classarm__compute_1_1_i_c_p_p_kernel.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_i_c_p_p_kernel_8h_source.xhtml">ICPPKernel.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for ICPPKernel:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classarm__compute_1_1_i_c_p_p_kernel__coll__graph.svg" width="102" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.xhtml">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a033d17a97e07cea7fe83eefcf23540f6"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_c_p_p_kernel.xhtml#a033d17a97e07cea7fe83eefcf23540f6">~ICPPKernel</a> ()=default</td></tr>
<tr class="memdesc:a033d17a97e07cea7fe83eefcf23540f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default destructor.  <a href="#a033d17a97e07cea7fe83eefcf23540f6">More...</a><br /></td></tr>
<tr class="separator:a033d17a97e07cea7fe83eefcf23540f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f56c8bb44166634652b877d6eb7a9a2"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_c_p_p_kernel.xhtml#a6f56c8bb44166634652b877d6eb7a9a2">run</a> (const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;<a class="el" href="classarm__compute_1_1_i_kernel.xhtml#a3f5646133956f06348b310ccc3d36353">window</a>)=0</td></tr>
<tr class="memdesc:a6f56c8bb44166634652b877d6eb7a9a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execute the kernel on the passed window.  <a href="#a6f56c8bb44166634652b877d6eb7a9a2">More...</a><br /></td></tr>
<tr class="separator:a6f56c8bb44166634652b877d6eb7a9a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classarm__compute_1_1_i_kernel"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classarm__compute_1_1_i_kernel')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classarm__compute_1_1_i_kernel.xhtml">IKernel</a></td></tr>
<tr class="memitem:a7250cb8cbaa4104a93a2d77155085507 inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_kernel.xhtml#a7250cb8cbaa4104a93a2d77155085507">IKernel</a> ()</td></tr>
<tr class="memdesc:a7250cb8cbaa4104a93a2d77155085507 inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a7250cb8cbaa4104a93a2d77155085507">More...</a><br /></td></tr>
<tr class="separator:a7250cb8cbaa4104a93a2d77155085507 inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a341b60d15a5e12a5b8f3825194dd3b12 inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_kernel.xhtml#a341b60d15a5e12a5b8f3825194dd3b12">~IKernel</a> ()=default</td></tr>
<tr class="memdesc:a341b60d15a5e12a5b8f3825194dd3b12 inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a341b60d15a5e12a5b8f3825194dd3b12">More...</a><br /></td></tr>
<tr class="separator:a341b60d15a5e12a5b8f3825194dd3b12 inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfab8f0d4928e1081d9f65b77933e24a inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_kernel.xhtml#abfab8f0d4928e1081d9f65b77933e24a">is_parallelisable</a> () const </td></tr>
<tr class="memdesc:abfab8f0d4928e1081d9f65b77933e24a inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether or not the kernel is parallelisable.  <a href="#abfab8f0d4928e1081d9f65b77933e24a">More...</a><br /></td></tr>
<tr class="separator:abfab8f0d4928e1081d9f65b77933e24a inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6daa9b04e2035bf007e5e5c3c4396a8 inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structarm__compute_1_1_border_size.xhtml">BorderSize</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_kernel.xhtml#aa6daa9b04e2035bf007e5e5c3c4396a8">border_size</a> () const </td></tr>
<tr class="memdesc:aa6daa9b04e2035bf007e5e5c3c4396a8 inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="mdescLeft">&#160;</td><td class="mdescRight">The size of the border for that kernel.  <a href="#aa6daa9b04e2035bf007e5e5c3c4396a8">More...</a><br /></td></tr>
<tr class="separator:aa6daa9b04e2035bf007e5e5c3c4396a8 inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f5646133956f06348b310ccc3d36353 inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_kernel.xhtml#a3f5646133956f06348b310ccc3d36353">window</a> () const </td></tr>
<tr class="memdesc:a3f5646133956f06348b310ccc3d36353 inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum window the kernel can be executed on.  <a href="#a3f5646133956f06348b310ccc3d36353">More...</a><br /></td></tr>
<tr class="separator:a3f5646133956f06348b310ccc3d36353 inherit pub_methods_classarm__compute_1_1_i_kernel"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Common interface for all kernels implemented in C++. </p>

<p>Definition at line <a class="el" href="_i_c_p_p_kernel_8h_source.xhtml#l00034">34</a> of file <a class="el" href="_i_c_p_p_kernel_8h_source.xhtml">ICPPKernel.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a033d17a97e07cea7fe83eefcf23540f6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual ~<a class="el" href="classarm__compute_1_1_i_c_p_p_kernel.xhtml">ICPPKernel</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a6f56c8bb44166634652b877d6eb7a9a2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void run </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;&#160;</td>
          <td class="paramname"><em>window</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Execute the kernel on the passed window. </p>
<dl class="section warning"><dt>Warning</dt><dd>If <a class="el" href="classarm__compute_1_1_i_kernel.xhtml#abfab8f0d4928e1081d9f65b77933e24a" title="Indicates whether or not the kernel is parallelisable. ">is_parallelisable()</a> returns false then the passed window must be equal to <a class="el" href="classarm__compute_1_1_i_kernel.xhtml#a3f5646133956f06348b310ccc3d36353" title="The maximum window the kernel can be executed on. ">window()</a></dd></dl>
<dl class="section note"><dt>Note</dt><dd>The window has to be a region within the window returned by the <a class="el" href="classarm__compute_1_1_i_kernel.xhtml#a3f5646133956f06348b310ccc3d36353" title="The maximum window the kernel can be executed on. ">window()</a> method</dd>
<dd>
The width of the window has to be a multiple of num_elems_processed_per_iteration().</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">window</td><td>Region on which to execute the kernel. (Must be a region of the window returned by <a class="el" href="classarm__compute_1_1_i_kernel.xhtml#a3f5646133956f06348b310ccc3d36353" title="The maximum window the kernel can be executed on. ">window()</a>) </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classarm__compute_1_1_n_e_convolution_rectangle_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEConvolutionRectangleKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_edge_trace_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEEdgeTraceKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_histogram_border_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHistogramBorderKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_vert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESeparableConvolutionVertKernel&lt; matrix_size &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_vert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESeparableConvolutionVertKernel&lt; 5 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_vert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESeparableConvolutionVertKernel&lt; 7 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_vert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESeparableConvolutionVertKernel&lt; 9 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_edge_non_max_suppression_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEEdgeNonMaxSuppressionKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_min_max_location_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEMinMaxLocationKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_magnitude_phase_f_p16_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEMagnitudePhaseFP16Kernel&lt; mag_type, phase_type &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_logits1_d_norm_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NELogits1DNormKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_accumulate_squared_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEAccumulateSquaredKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_block_normalization_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHOGBlockNormalizationKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_hor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESeparableConvolutionHorKernel&lt; matrix_size &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_hor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESeparableConvolutionHorKernel&lt; 5 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_hor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESeparableConvolutionHorKernel&lt; 7 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_hor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESeparableConvolutionHorKernel&lt; 9 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_harris_score_f_p16_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHarrisScoreFP16Kernel&lt; block_size &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_sobel7x7_vert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESobel7x7VertKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_sobel5x5_vert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESobel5x5VertKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_l_k_tracker_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NELKTrackerKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_vert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGaussianPyramidVertKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_harris_score_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHarrisScoreKernel&lt; block_size &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_accumulate_weighted_f_p16_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEAccumulateWeightedFP16Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_im2_col_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEIm2ColKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_logits1_d_shift_exp_sum_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NELogits1DShiftExpSumKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_convolution_layer_weights_reshape_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEConvolutionLayerWeightsReshapeKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_transpose1x_w_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGEMMTranspose1xWKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_histogram_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHistogramKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_color_convert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEColorConvertKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_accumulate_weighted_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEAccumulateWeightedKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_col2_im_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NECol2ImKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_lowp_matrix_multiply_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGEMMLowpMatrixMultiplyKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_channel_combine_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEChannelCombineKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_channel_extract_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEChannelExtractKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_convolution_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEConvolutionKernel&lt; matrix_size &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_scharr3x3_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEScharr3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_sobel3x3_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESobel3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_convolution_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEConvolutionKernel&lt; 5 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_convolution_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEConvolutionKernel&lt; 7 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_convolution_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEConvolutionKernel&lt; 9 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_gaussian5x5_vert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGaussian5x5VertKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_cumulative_distribution_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NECumulativeDistributionKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_detector_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHOGDetectorKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_pixel_wise_multiplication_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEPixelWiseMultiplicationKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_matrix_multiply_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGEMMMatrixMultiplyKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_min_max_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEMinMaxKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_scale_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEScaleKernel</a>, <a class="el" href="classarm__compute_1_1_c_p_p_corner_candidates_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">CPPCornerCandidatesKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_gradient_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGradientKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_fill_border_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEFillBorderKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_interleave4x4_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGEMMInterleave4x4Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_matrix_addition_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGEMMMatrixAdditionKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_mean_std_dev_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEMeanStdDevKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_fill_array_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEFillArrayKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_fill_inner_border_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEFillInnerBorderKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_magnitude_phase_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEMagnitudePhaseKernel&lt; mag_type, phase_type &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_non_maxima_suppression3x3_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NENonMaximaSuppression3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_sobel5x5_hor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESobel5x5HorKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_sobel7x7_hor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NESobel7x7HorKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_absolute_difference_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEAbsoluteDifferenceKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_non_linear_filter_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NENonLinearFilterKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_normalization_layer_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NENormalizationLayerKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_threshold_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEThresholdKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_fast_corners_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEFastCornersKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_orientation_binning_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHOGOrientationBinningKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_remap_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NERemapKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_transpose_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NETransposeKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_arithmetic_addition_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEArithmeticAdditionKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_arithmetic_subtraction_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEArithmeticSubtractionKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_depth_convert_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEDepthConvertKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_derivative_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEDerivativeKernel</a>, <a class="el" href="classarm__compute_1_1_i_n_e_warp_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">INEWarpKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_bitwise_and_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEBitwiseAndKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_bitwise_or_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEBitwiseOrKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_bitwise_xor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEBitwiseXorKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_non_maxima_suppression_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEHOGNonMaximaSuppressionKernel</a>, <a class="el" href="classarm__compute_1_1_c_p_p_sort_euclidean_distance_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">CPPSortEuclideanDistanceKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_bitwise_not_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEBitwiseNotKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_hor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGaussianPyramidHorKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_pooling_layer_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEPoolingLayerKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_table_lookup_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NETableLookupKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_activation_layer_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEActivationLayerKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_box3x3_f_p16_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEBox3x3FP16Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_g_e_m_m_matrix_accumulate_biases_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGEMMMatrixAccumulateBiasesKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_accumulate_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEAccumulateKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_gaussian5x5_hor_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGaussian5x5HorKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_logits1_d_max_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NELogits1DMaxKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_gaussian3x3_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEGaussian3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_median3x3_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEMedian3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_box3x3_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEBox3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_dilate_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEDilateKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_erode_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEErodeKernel</a>, and <a class="el" href="classarm__compute_1_1_n_e_integral_image_kernel.xhtml#a8fd12b95bdde3f93db96bc9b1598db69">NEIntegralImageKernel</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>arm_compute/core/CPP/<a class="el" href="_i_c_p_p_kernel_8h_source.xhtml">ICPPKernel.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="classarm__compute_1_1_i_c_p_p_kernel.xhtml">ICPPKernel</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
